<script>
	import Container from "@/components/container.svelte"
	import SVG from "@/components/svg.svelte"
	import Button from "@/components/button.svelte"
	import Socials from "@/components/socials.svelte"
	import Menu from "./menu.svelte"

	import Logo from "@/assets/img/logo_dubi.webp"
	import BTC from "@/assets/svg/payments/bitcoin.svg"
	import MC from "@/assets/svg/payments/mastercard.svg"
	import VISA from "@/assets/svg/payments/visa.svg"

	import dayjs from "dayjs"
	import { modal } from "@/stores"
	import { isPhone, isTablet } from "@/stores/responsiveness"
	import { t } from "@/i18n"

	const year = dayjs().format("YYYY")
</script>

<template lang="pug">
footer.footer.no-print: Container
	.columns.is-flex.is-multiline.is-variable.is-2
		.column.is-5-desktop.is-12-tablet.is-12-mobile: .is-flex.is-flex-direction-column.is-align-items-flex-start.is-justify-content-flex-start
			.block-1
				.logo: .img.is-flex: img.lazy( data-src='{Logo}' alt="logo" )
			.block-2: Menu
		.column.is-3-desktop.is-12-tablet.is-12-mobile: .is-flex.is-flex-direction-column.is-align-items-flex-start.is-justify-content-flex-start(
			class:is-flex-direction-column-reverse!='{$isPhone || $isTablet}')
			.block-1
				.help
					p.title {$t("buttons.order_car")}
					p.content {@html $t("default.footer.help")}
			.block-2: Socials
		.column.is-4-desktop.is-12-tablet.is-12-mobile: .is-flex.is-flex-direction-column.is-align-items-flex-end.is-justify-content-flex-start(
			class:is-align-items-flex-end!='{!$isPhone && !$isTablet}'
			class:is-align-items-flex-start!='{$isPhone || $isTablet}')
			.block-1
				.order.is-flex.is-flex-direction-column.is-align-items-flex-end
					.payments.is-flex.is-align-items-center.is-justify-content-center
						.img.visa.is-flex: img.lazy( data-src='{VISA}' alt="visa" )
						.img.mastercard.is-flex: img.lazy( data-src='{MC}' alt="mastercard" )
						.img.btc.is-flex: img.lazy( data-src='{BTC}' alt="btc" )
					.btn
						Button( on:click!='{() => modal.set(true)}' )
							span.icon( slot="icon-right" ): SVG( folder="icons" name="arrow-right" )
							|{$t("buttons.order_car")}
			.block-2
				.copy.is-flex
					p 2013-{year} &copy; DCR | {$t("default.footer.licence", { num: 801364 })}
</template>

<style lang="scss">
	.footer {
		background: $dark;
		:global(.section) {
			padding-top: 4rem;
			padding-bottom: 4rem;
		}
	}

	.columns {
		:global(.socials) {
			margin-left: 0;
			margin-right: 0;
			@include max_tablet {
				margin: 1.5rem 0 4.3125rem;
			}
		}
	}
	
	.block {
		@include min_tablet {
			&-1 {
				height: 10.5rem;
			}
			&-2 {
				margin-top: 2rem;
			}
		}
	}

	.column {
		&:nth-of-type(2) {
			&>div {
				@include min_tablet {
					padding-left: 3rem;
				}
			}
		}
	}

	.logo {
		.img {
			max-width: 426px;
		}
		@include max_tablet {
			margin-bottom: 4.3125rem;
		}
	}

	.help {
		.title {
			font-size: 1.125rem;
			font-weight: 500;
			text-transform: uppercase;
			color: $primary;
			margin-bottom: 1.5rem;
		}
		.content {
			font-size: .875rem;
			font-weight: 400;
			color: $white;
			max-width: 20.125rem;
		}
		@include max_tablet {
			margin-bottom: 4.3125rem;
		}
	}

	.order {
		.payments {
			margin-bottom: 1.375rem;
			.img {
				width: 3.5625rem;
				&:not(:last-child) {
					margin-right: .375rem;
				}
			}
		}
	}

	.copy {
		p {
			font-weight: 400;
			line-height: 1rem;
			color: $gray-text;
		}
		@include max_tablet {
			margin-top: 2.625rem;
		}
	}
</style>